4 Replies Latest reply: Mar 20, 2012 7:30 AM by Max Rydahl Andersen RSS

Upgrade from JBoss Tools 3.3.0 M5 to Beta 1 broke my Maven war modules in Eclipse

Stevo Slavic Newbie

Hello JBoss Tools community,

 

After upgrading to JBoss Tools 3.3.0.v20120302-0221-H55-Beta1 for war modules following error marker started appearing on maven-war-plugin default execution declaration:

 

"Multiple annotations found at this line:

    - Plugin execution not covered by lifecycle configuration: org.apache.maven.plugins:maven-war-plugin:2.1.1:war (execution: default-war, phase: package)

    - Project configurator "org.jboss.tools.maven.seam.configurator" is not available. To enable full functionality, install the project configurator and run Maven->Update

     Project Configuration."

 

Updating project configuration doesn't help.

 

Wanted to revert back to M5 but that failed at first. I upgraded JBoss Tools together with JRebel plugin, and JRebel doesn't seem to leave old versions on their repo, neither does JBoss Tools on development repo, breaking eclipse configuration revert feature.

Luckly I had a recent copy of eclipse installation archive/bundle so I'm back at M5 again.

 

Apart from reverting to M5, does anyone have any other suggestions/workarounds/explanations on what's wrong with Beta1 and can I do something to fix it?

 

Kind regards,

Stevo.